### Hierarchy

- BaseElementBridge<HTMLElement>
  - AtomElementBridge

## Index

### Properties

- ajax
- controlFactory
- createBusyIndicator
- reset

### Methods

- addEventHandler
- appendChild
- atomParent
- attachControl
- close
- create
- createNode
- dispose
- elementParent
- findChild
- getValue
- loadContent
- refreshInherited
- setValue
- templateParent
- toTemplate
- visitDescendents
- watchProperty

## Properties

### ajax

ajax: function

Inherited from BaseElementBridge.ajax

- Defined in src/core/AtomBridge.ts:13

#### Type declaration

- - (url: string, options: AjaxOptions, success: function, failed: function, progress: function): void

  - #### Parameters

    - ##### url: string

    - ##### options: AjaxOptions

    - ##### success: function

      - - (r: any): void

        - #### Parameters

          - ##### r: any

          #### Returns void

    - ##### failed: function

      - - (r: any): void

        - #### Parameters

          - ##### r: any

          #### Returns void

    - ##### progress: function

      - - (p: any): void

        - #### Parameters

          - ##### p: any

          #### Returns void

### controlFactory

controlFactory: any

Inherited from BaseElementBridge.controlFactory

- Defined in src/core/AtomBridge.ts:9

### createBusyIndicator

createBusyIndicator: function

Inherited from BaseElementBridge.createBusyIndicator

- Defined in src/core/AtomBridge.ts:11

#### Type declaration

- - (): IDisposable

  - #### Returns IDisposable

### reset

reset: function

Inherited from BaseElementBridge.reset

- Defined in src/core/AtomBridge.ts:20

#### Type declaration

- - (): void

  - #### Returns void

## Methods

### addEventHandler

- addEventHandler(element: HTMLElement, name: string, handler: EventListenerOrEventListenerObject, capture?: boolean): IDisposable

- Overrides BaseElementBridge.addEventHandler

  - Defined in src/core/AtomBridge.ts:94

  #### Parameters

  - ##### element: HTMLElement

  - ##### name: string

  - ##### handler: EventListenerOrEventListenerObject

  - ##### Optional capture: boolean

  #### Returns IDisposable

### appendChild

- appendChild(parent: HTMLElement, child: HTMLElement): void

- Overrides BaseElementBridge.appendChild

  - Defined in src/core/AtomBridge.ts:167

  #### Parameters

  - ##### parent: HTMLElement

  - ##### child: HTMLElement

  #### Returns void

### atomParent

- atomParent(element: HTMLElement, climbUp?: boolean): IUIAtomControl

- Overrides BaseElementBridge.atomParent

  - Defined in src/core/AtomBridge.ts:107

  #### Parameters

  - ##### element: HTMLElement

  - ##### Default value climbUp: boolean = true

  #### Returns IUIAtomControl

### attachControl

- attachControl(element: HTMLElement, control: IUIAtomControl): void

- Overrides BaseElementBridge.attachControl

  - Defined in src/core/AtomBridge.ts:203

  #### Parameters

  - ##### element: HTMLElement

  - ##### control: IUIAtomControl

  #### Returns void

### close

- close(element: HTMLElement, success: function, error: function): void

- Overrides BaseElementBridge.close

  - Defined in src/core/AtomBridge.ts:219

  #### Parameters

  - ##### element: HTMLElement

  - ##### success: function

    - - (): void

      - #### Returns void

  - ##### error: function

    - - (e: any): void

      - #### Parameters

        - ##### e: any

        #### Returns void

### create

- create(type: string): HTMLElement

- Overrides BaseElementBridge.create

  - Defined in src/core/AtomBridge.ts:207

  #### Parameters

  - ##### type: string

  #### Returns HTMLElement

### createNode

- createNode(target: any, node: XNode, binder: Function, xNodeClass: Function, creator: Function): any

- Overrides BaseElementBridge.createNode

  - Defined in src/core/AtomBridge.ts:247

  #### Parameters

  - ##### target: any

  - ##### node: XNode

  - ##### binder: Function

  - ##### xNodeClass: Function

  - ##### creator: Function

  #### Returns any

### dispose

- dispose(element: HTMLElement): void

- Overrides BaseElementBridge.dispose

  - Defined in src/core/AtomBridge.ts:160

  #### Parameters

  - ##### element: HTMLElement

  #### Returns void

### elementParent

- elementParent(element: HTMLElement): HTMLElement

- Overrides BaseElementBridge.elementParent

  - Defined in src/core/AtomBridge.ts:121

  #### Parameters

  - ##### element: HTMLElement

  #### Returns HTMLElement

### findChild

- findChild(element: HTMLElement, name: string): HTMLElement

- Overrides BaseElementBridge.findChild

  - Defined in src/core/AtomBridge.ts:215

  #### Parameters

  - ##### element: HTMLElement

  - ##### name: string

  #### Returns HTMLElement

### getValue

- getValue(element: HTMLElement, name: string): any

- Overrides BaseElementBridge.getValue

  - Defined in src/core/AtomBridge.ts:175

  #### Parameters

  - ##### element: HTMLElement

  - ##### name: string

  #### Returns any

### loadContent

- loadContent(element: HTMLElement, text: string): void

- Overrides BaseElementBridge.loadContent

  - Defined in src/core/AtomBridge.ts:211

  #### Parameters

  - ##### element: HTMLElement

  - ##### text: string

  #### Returns void

### refreshInherited

- refreshInherited(target: object, name: string, fieldName?: string): void

- Inherited from BaseElementBridge.refreshInherited

  - Defined in src/core/AtomBridge.ts:61

  #### Parameters

  - ##### target: object

  - ##### name: string

  - ##### Optional fieldName: string

  #### Returns void

### setValue

- setValue(element: HTMLElement, name: string, value: any): void

- Overrides BaseElementBridge.setValue

  - Defined in src/core/AtomBridge.ts:171

  #### Parameters

  - ##### element: HTMLElement

  - ##### name: string

  - ##### value: any

  #### Returns void

### templateParent

- templateParent(element: HTMLElement): IUIAtomControl

- Overrides BaseElementBridge.templateParent

  - Defined in src/core/AtomBridge.ts:130

  #### Parameters

  - ##### element: HTMLElement

  #### Returns IUIAtomControl

### toTemplate

- toTemplate(element: any, creator: any): any

- - Defined in src/core/AtomBridge.ts:223

  #### Parameters

  - ##### element: any

  - ##### creator: any

  #### Returns any

### visitDescendents

- visitDescendents(element: HTMLElement, action: function): void

- Overrides BaseElementBridge.visitDescendents

  - Defined in src/core/AtomBridge.ts:145

  #### Parameters

  - ##### element: HTMLElement

  - ##### action: function

    - - (e: HTMLElement, ac: IUIAtomControl): boolean

      - #### Parameters

        - ##### e: HTMLElement

        - ##### ac: IUIAtomControl

        #### Returns boolean

  #### Returns void

### watchProperty

- watchProperty(element: HTMLElement, name: string, events: string[], f: function): IDisposable

- Overrides BaseElementBridge.watchProperty

  - Defined in src/core/AtomBridge.ts:179

  #### Parameters

  - ##### element: HTMLElement

  - ##### name: string

  - ##### events: string[]

  - ##### f: function

    - - (v: any): void

      - #### Parameters

        - ##### v: any

        #### Returns void

  #### Returns IDisposable

Generated using TypeDoc